| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::VertexBuffer Struct Reference

`#include <vertex_buffer.h>`

## Public Member Functions
| operator bool () const

## Public Attributes
BufferView | vertex_buffer
BufferView | index_buffer
| The index buffer binding used by the vertex shader stage. More...
size_t | vertex_count = 0u
IndexType | index_type = IndexType::kUnknown

## Detailed Description

Definition at line 15 of file vertex_buffer.h.

## Member Function Documentation

## ◆ operator bool()

impeller::VertexBuffer::operator bool | ( |  | ) | const
| inlineexplicit

Definition at line 33 of file vertex_buffer.h.

33 {
34 return static_cast<bool>(vertex_buffer) &&
35 (index_type == IndexType::kNone || static_cast<bool>(index_buffer));
36 }
impeller::IndexType::kNone
@ kNone
Does not use the index buffer.
impeller::VertexBuffer::index_type
IndexType index_type
Definition: vertex_buffer.h:31
impeller::VertexBuffer::index_buffer
BufferView index_buffer
The index buffer binding used by the vertex shader stage.
Definition: vertex_buffer.h:20
impeller::VertexBuffer::vertex_buffer
BufferView vertex_buffer
Definition: vertex_buffer.h:16

References index_buffer, index_type, impeller::kNone, and vertex_buffer.

## Member Data Documentation

## ◆ index_buffer

BufferView impeller::VertexBuffer::index_buffer

The index buffer binding used by the vertex shader stage.

Definition at line 20 of file vertex_buffer.h.

Referenced by impeller::VertexBufferBuilder< VertexType_, IndexType_ >::CreateVertexBuffer(), ImGui_ImplImpeller_RenderDrawData(), operator bool(), and impeller::RenderPass::SetVertexBuffer().

## ◆ index_type

IndexType impeller::VertexBuffer::index_type = IndexType::kUnknown

The type of indices in the index buffer. The indices must be tightly packed in the index buffer.

Definition at line 31 of file vertex_buffer.h.

Referenced by impeller::VertexBufferBuilder< VertexType_, IndexType_ >::CreateVertexBuffer(), ImGui_ImplImpeller_RenderDrawData(), operator bool(), and impeller::RenderPass::SetVertexBuffer().

## ◆ vertex_buffer

BufferView impeller::VertexBuffer::vertex_buffer

Definition at line 16 of file vertex_buffer.h.

Referenced by impeller::DlAtlasGeometry::CreateBlendVertexBuffer(), impeller::DrawImageRectAtlasGeometry::CreateBlendVertexBuffer(), impeller::DlAtlasGeometry::CreateSimpleVertexBuffer(), impeller::DrawImageRectAtlasGeometry::CreateSimpleVertexBuffer(), impeller::VertexBufferBuilder< VertexType_, IndexType_ >::CreateVertexBuffer(), impeller::CreateVertexBuffer(), ImGui_ImplImpeller_RenderDrawData(), operator bool(), impeller::RenderPass::SetVertexBuffer(), impeller::ConvexTessellatorImpl< IndexT >::TessellateConvex(), and impeller::testing::TEST_P().

## ◆ vertex_count

size_t impeller::VertexBuffer::vertex_count = 0u

The total count of vertices, either in the vertex_buffer if the index_type is IndexType::kNone or in the index_buffer otherwise.

Definition at line 25 of file vertex_buffer.h.

Referenced by impeller::VertexBufferBuilder< VertexType_, IndexType_ >::CreateVertexBuffer(), impeller::ColorSourceContents::DrawGeometry(), ImGui_ImplImpeller_RenderDrawData(), impeller::ShadowVerticesContents::Render(), impeller::VerticesSimpleBlendContents::Render(), impeller::RenderPass::SetVertexBuffer(), and impeller::testing::TEST_P().

The documentation for this struct was generated from the following file:

- impeller/core/vertex_buffer.h